> For the complete documentation index, see [llms.txt](https://docs.alignedlayer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alignedlayer.com/operators/upgrading-guides/v0_10_2.md).

# Upgrading to v0.10.2

This guide will walk you through the process of upgrading your Aligned Operator to v0.10.2.

## Changes

### New Features

* feat(telemetry): Add url data to operator updates on telemetry service in [#1136](https://github.com/yetanotherco/aligned_layer/pull/1136)
* fix: add panic catch on operator calling FFI in [#1196](https://github.com/yetanotherco/aligned_layer/pull/1196)
* refactor(operator): use url.Parse instead of regex for sending rpc information to telemetry service [#1327](https://github.com/yetanotherco/aligned_layer/pull/1327)
* feat(operator): bump risc0 and sp1 versions in [#1324](https://github.com/yetanotherco/aligned_layer/pull/1324)

## How to upgrade

### Step 1 - Update the configuration for your specific Operator

This version requires update the operator configuration file changing the following field:

```yaml
## Operator Configurations
operator:
  operator_tracker_ip_port_address: https://holesky.telemetry.alignedlayer.com
```

{% hint style="info" %}
Previous URL of operator\_tracker\_ip\_port\_address. Now it sends data to a telemetry server with better tracking and error handling
{% endhint %}

### Step 2 - Update the Operator

Inside the Aligned repository, run:

```bash
make update_operator
```

This will recompile the binaries. You can then proceed to restart the operator.

### Step 3 - Check the Operator Version

To see the operator version, run:

```bash
./operator/build/aligned-operator --version
```

This will display the current version of the operator binary.

```
Aligned Layer Node Operator version v0.10.2
```

### Step 4 - Restart the Operator

Restart the operator based on your system config


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alignedlayer.com/operators/upgrading-guides/v0_10_2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
